Bug 1849153 - openshift-marketplace: Pods found with invalid container images not present in release payload (v2)
Summary: openshift-marketplace: Pods found with invalid container images not present i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.5
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.3.z
Assignee: Kevin Rizza
QA Contact: Salvatore Colangelo
URL:
Whiteboard:
Depends On: 1847740
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-19 17:46 UTC by OpenShift BugZilla Robot
Modified: 2020-08-05 10:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-05 10:54:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-marketplace pull 317 None closed [release-4.3] [release-4.4] [release-4.5] Bug 1849153: Ensure correct registry image 2020-07-29 08:30:17 UTC
Red Hat Product Errata RHBA-2020:3180 None None None 2020-08-05 10:54:47 UTC

Comment 4 Salvatore Colangelo 2020-07-20 11:13:05 UTC
[scolange@scolange ~]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.3.0-0.nightly-2020-07-17-210547   True        False         8h      Cluster version is 4.3.0-0.nightly-2020-07-17-210547


[scolange@scolange ~]$ oc get pod -n openshift-marketplace
NAME                                    READY   STATUS    RESTARTS   AGE
certified-operators-956b5dcf4-ggjvq     1/1     Running   0          3h21m
community-operators-787b796bf6-8mbgg    1/1     Running   0          8h
marketplace-operator-6795dc7d7b-mnc7r   1/1     Running   0          8h
qe-app-registry-689f648d75-5x99w        1/1     Running   0          8h
redhat-operators-c46b689ff-lccjk        1/1     Running   0          3h21m


[scolange@scolange ~]$ oc exec marketplace-operator-6795dc7d7b-mnc7r  -n openshift-marketplace -- marketplace-operator --version 
Marketplace source git commit: 93e369ff99ec6f7f2e4a62edc6fc2e1a57237742
time="2020-07-20T11:05:48Z" level=info msg="Go Version: go1.12.12"
time="2020-07-20T11:05:48Z" level=info msg="Go OS/Arch: linux/amd64"
time="2020-07-20T11:05:48Z" level=info msg="operator-sdk Version: v0.8.0"


[scolange@scolange ~]$ oc exec certified-operators-956b5dcf4-ggjvq -- cat /etc/redhat-release
Red Hat Enterprise Linux Server release 7.8 (Maipo)

[scolange@scolange ~]$ oc exec community-operators-787b796bf6-8mbgg -- cat /etc/redhat-release
Red Hat Enterprise Linux Server release 7.8 (Maipo)

[scolange@scolange ~]$ oc exec marketplace-operator-6795dc7d7b-mnc7r -- cat /etc/redhat-release
Red Hat Enterprise Linux Server release 7.8 (Maipo)

[scolange@scolange ~]$ oc exec redhat-operators-c46b689ff-lccjk -- cat /etc/redhat-release
Red Hat Enterprise Linux Server release 7.8 (Maipo)

[scolange@scolange ~]$ oc exec qe-app-registry-689f648d75-5x99w -- cat /etc/redhat-release
Red Hat Enterprise Linux Server release 7.8 (Maipo)


All of them are downstream, LGTM, verify it.

Comment 6 errata-xmlrpc 2020-08-05 10:54:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.3.31 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3180


Note You need to log in before you can comment on or make changes to this bug.